/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-16-2011 09:08:46pm
Filepath: scripts\Items\Artifacts\Artifacts of Assimilation\greater\muramasahellblade.cs
Lines of code: 51

Description: 

***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class muramasahellblade : NoDachi
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }

		[Constructable]
		public muramasahellblade() : base()
		{
			Name="Hellblade";
			Hue=1161;


			Attributes.WeaponDamage=100;
			Attributes.WeaponSpeed=33;
			WeaponAttributes.HitLeechHits = 33;
			WeaponAttributes.HitLeechMana = 33;
			WeaponAttributes.HitLeechStam = 33;		
		
			AosElementDamages.Physical=0;
			AosElementDamages.Fire=100;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=0;		
		}
	/*
		//damage types
		public override void GetDamageTypes( Mobile wielder, out int phys, out int fire, out int cold, out int pois, out int nrgy,out int chaos )
		{
			phys = 0;
			fire = 100;
			pois = 0;
			cold = 0;
			nrgy = 0;
			chaos=0;
		}
		*/
		

		public muramasahellblade( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 2 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			if ( version <= 1 )
			{
				MaxHitPoints = 255;
				HitPoints = 255;
			}

			if( version == 0 )
				SkillBonuses.SetValues( 0, SkillName.AnimalLore, 5.0 );
		}
		
		
		
		public override void OnAfterLoad()
		{		
			Misc.ObjectConverter.ConvertItem(this,new HellBlade());
		}
	}
	
}